//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"

#property indicator_chart_window
//---- input parameters
extern int       DAYS=5;
extern int       Font_Size=10;
extern color     F_color=Khaki;
extern int       F_Xdist=10;
extern int       F_Ydist=10;
extern int       corner=1;
extern color     L_color=Blue;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicators

//---- indicators

   

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("5dayHigh");
   ObjectDelete("5dayLow");
   ObjectDelete("HLPrice");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high[20];
   double daily_low[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(daily_high,DAYS);
ArrayResize(daily_low,DAYS);
ArrayInitialize(daily_high,0);
ArrayInitialize(daily_low,0);

ArrayCopySeries(daily_low, MODE_LOW, Symbol(), PERIOD_D1);
ArrayCopySeries(daily_high, MODE_HIGH, Symbol(), PERIOD_D1);

/* initialise */
plow=daily_low[1];
phigh=daily_high[1];

for(i=1;i<DAYS;i++)
{
   if(plow>daily_low[i])
   {
      plow = daily_low[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<daily_high[i])
   {
      phigh = daily_high[i];
   }
}

// Comment("\n5dayH ",phigh,"\n5dayL ",plow);

ObjectCreate("HLPrice", OBJ_LABEL, 0,CurTime(),0);
ObjectSet("HLPrice", OBJPROP_CORNER, corner);
ObjectSet("HLPrice", OBJPROP_COLOR, F_color);
ObjectSet("HLPrice", OBJPROP_XDISTANCE, F_Xdist);
ObjectSet("HLPrice", OBJPROP_YDISTANCE, F_Ydist);

ObjectSetText("HLPrice",DAYS + " dayH: " + DoubleToStr (phigh,Digits) + " " + DAYS + " dayL: " + DoubleToStr(plow,Digits),Font_Size,"Arial",F_color);

ObjectDelete("5dayHigh");
ObjectDelete("5dayLow");

ObjectCreate("5dayHigh", OBJ_HLINE,0, CurTime(),phigh);
ObjectSet("5dayHigh",OBJPROP_COLOR,L_color);
ObjectSet("5dayHigh",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("5dayLow", OBJ_HLINE,0, CurTime(),plow);
ObjectSet("5dayLow",OBJPROP_COLOR,L_color);
ObjectSet("5dayLow",OBJPROP_STYLE,STYLE_SOLID);

ObjectsRedraw();

   return(0);
  }
//+------------------------------------------------------------------